Bug 195588 - Web Inspector: DOMStorage: lazily create the agent
Summary: Web Inspector: DOMStorage: lazily create the agent
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-03-11 17:51 PDT by Devin Rousso
Modified: 2019-03-19 12:11 PDT (History)
6 users (show)

See Also:


Attachments
Patch (11.45 KB, patch)
2019-03-17 12:28 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (12.80 KB, patch)
2019-03-17 14:42 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (12.79 KB, patch)
2019-03-19 10:39 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (13.40 KB, patch)
2019-03-19 11:47 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2019-03-11 17:51:06 PDT
.
Comment 1 Radar WebKit Bug Importer 2019-03-11 17:58:46 PDT
<rdar://problem/48791878>
Comment 2 Devin Rousso 2019-03-17 12:28:37 PDT
Created attachment 364971 [details]
Patch
Comment 3 Devin Rousso 2019-03-17 14:42:52 PDT
Created attachment 364976 [details]
Patch
Comment 4 Devin Rousso 2019-03-17 17:17:59 PDT
Comment on attachment 364976 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=364976&action=review

> Source/WebCore/inspector/agents/InspectorDOMStorageAgent.cpp:184
> +        errorString = "Missing page agent"_s;

This should probably be `"Missing Page agent"`.
Comment 5 Joseph Pecoraro 2019-03-18 21:57:30 PDT
Comment on attachment 364976 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=364976&action=review

r=me

> Source/WebCore/inspector/CommandLineAPIHost.cpp:169
> -    if (m_domStorageAgent)
> -        return m_domStorageAgent->storageId(storage);
> -    return { };
> +    return InspectorDOMStorageAgent::storageId(storage);

Nice!

>> Source/WebCore/inspector/agents/InspectorDOMStorageAgent.cpp:184
>> +        errorString = "Missing page agent"_s;
> 
> This should probably be `"Missing Page agent"`.

Agreed.
Comment 6 Devin Rousso 2019-03-19 10:39:49 PDT
Created attachment 365182 [details]
Patch
Comment 7 WebKit Commit Bot 2019-03-19 10:51:43 PDT Comment hidden (obsolete)
Comment 8 Devin Rousso 2019-03-19 11:47:58 PDT
Created attachment 365193 [details]
Patch

Include drive-by fix from r243150 <https://trac.webkit.org/changeset/243150>: move creation of Heap agent outside `ENABLE(RESOURCE_USAGE)` block
Comment 9 WebKit Commit Bot 2019-03-19 12:11:13 PDT
Comment on attachment 365193 [details]
Patch

Clearing flags on attachment: 365193

Committed r243158: <https://trac.webkit.org/changeset/243158>
Comment 10 WebKit Commit Bot 2019-03-19 12:11:14 PDT
All reviewed patches have been landed.  Closing bug.